summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/rpcbind/rpcbind
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:55:44 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2010-09-05 05:55:44 (GMT)
commit796f8e605258d511b4358b56c686a0317174b003 (patch)
treee98b6cb291ac9010b173fb1585e6fd160677efb5 /abs/core-testing/rpcbind/rpcbind
parente5efff14b92c5221fdc711670a7fc786e8041f80 (diff)
downloadlinhes_pkgbuild-796f8e605258d511b4358b56c686a0317174b003.zip
linhes_pkgbuild-796f8e605258d511b4358b56c686a0317174b003.tar.gz
linhes_pkgbuild-796f8e605258d511b4358b56c686a0317174b003.tar.bz2
rpcbind:Bumped/Updated for LinHES 7.
Diffstat (limited to 'abs/core-testing/rpcbind/rpcbind')
-rwxr-xr-xabs/core-testing/rpcbind/rpcbind39
1 files changed, 39 insertions, 0 deletions
diff --git a/abs/core-testing/rpcbind/rpcbind b/abs/core-testing/rpcbind/rpcbind
new file mode 100755
index 0000000..87c5b50
--- /dev/null
+++ b/abs/core-testing/rpcbind/rpcbind
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID="$(pidof -o %PPID /usr/bin/rpcbind)"
+case "$1" in
+ start)
+ stat_busy "Starting rpcbind"
+ [ -z "$PID" ] && /usr/bin/rpcbind &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=$(pidof -o %PPID /usr/bin/rpcbind)
+ echo $PID > /var/run/rpcbind.pid
+ add_daemon rpcbind
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping rpcbind"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/rpcbind.pid
+ rm_daemon rpcbind
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0